#StackBounty: #brownie #raspberry-pi How to compile Smart Contracts using Brownie on RASPBERRY PI 4B?

Bounty: 50

I have set up Raspberry Pi with npm, nodejs, ganache-cli, eth-brownie (by downloading straight from github), and VS code.

I was able to do brownie command – it worked.
I was able to do brownie init – it worked.
I previously set up Brownie on my Mac and followed Patrick’s video – and I was able to write my simple Smart Contract, compile it, deploy it and interact with it!

However, running brownie compile or brownie console the program starts executing and prints: Downloading from solc-bin.ethereum.org/linux-amd64/…

and then eventually hits:

Download binary would not execute, or returned unexpected output.

SolcInstallationError: Download binary would not execute, or returned unexpected output. If this issue persists, you can try to compile from source code using 'solcx.compile_solc('0.8.6')'


Get this bounty!!!

Leave a Reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.